<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 EJB 2.0//EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-ejb-jar_2_0-0.dtd">
<sun-ejb-jar>
  <enterprise-beans>
    <name>MplsvpnTblEJB</name>
    <ejb>
      <ejb-name>VpnServiceEJB</ejb-name>
      <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/VpnServiceBean</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/JmsSender</ejb-ref-name>
        <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/JmsSenderHome</jndi-name>
      </ejb-ref>
    </ejb>
    <ejb>
      <ejb-name>JmsSender</ejb-name>
      <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/JmsSenderHome</jndi-name>
      <resource-ref>
        <res-ref-name>jms/TopicFactory</res-ref-name>
        <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/TopicConnectionFactory</jndi-name>
      </resource-ref>
      <resource-env-ref>
        <resource-env-ref-name>jms/EventTopic</resource-env-ref-name>
        <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/JVTEventTopic</jndi-name>
      </resource-env-ref>
    </ejb>
    <ejb>
      <ejb-name>XVTMessageDrivenBean</ejb-name>
      <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/MessageQueue</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/VpnServiceBean</ejb-ref-name>
        <jndi-name>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/Comp/JVTHome</jndi-name>
      </ejb-ref>
    </ejb>
    <ejb>
      <ejb-name>MplsvpnTblEJB</ejb-name>
      <jndi-name>ejb/MplsvpnTblBean</jndi-name>
    </ejb>
    <cmp-resource>
      <jndi-name>jdo/pmf</jndi-name>
      <default-resource-principal>
        <name>dbuser</name>
        <password>dbpassword</password>
      </default-resource-principal>
    </cmp-resource>
  </enterprise-beans>
</sun-ejb-jar>
